pw_registry_proxy_methods Struct Reference

Registry methods. More...

## Data Fields

uint32_t | version
void(* | bind )(void *object, uint32_t id, uint32_t type, uint32_t version, uint32_t new_id)
| Bind to a global object. More...

## Detailed Description

Registry methods.

## Field Documentation

## bind

void(* pw_registry_proxy_methods::bind) (void *object, uint32_t id, uint32_t type, uint32_t version, uint32_t new_id)

Bind to a global object.

Bind to the global object with id and use the client proxy with new_id as the proxy. After this call, methods can be send to the remote global object and events can be received

Parameters

  id | the global id to bind to
  type | the interface type to bind to
  version | the interface version to use
  new_id | the client proxy to use

## version

uint32_t pw_registry_proxy_methods::version

The documentation for this struct was generated from the following file:

- interfaces.h